> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/workspace-status-beta/returns-current-workspace-status",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Returns current workspace status

> Returns current workspace status (Beta).
**Note**:
- This endpoint is now in Beta, disabled for general availability at this time.
- Please note that this endpoint is available only for API keys with Admin/Non Signing Admin permissions.

Endpoint Permission: Admin, Non-Signing Admin.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /management/workspace_status
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /management/workspace_status:
    get:
      tags:
        - Workspace Status (Beta)
      summary: Returns current workspace status
      description: >-
        Returns current workspace status (Beta).

        **Note**:

        - This endpoint is now in Beta, disabled for general availability at
        this time.

        - Please note that this endpoint is available only for API keys with
        Admin/Non Signing Admin permissions.


        Endpoint Permission: Admin, Non-Signing Admin.
      operationId: getWorkspaceStatus
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWorkspaceStatusResponse'
          description: Current workspace status
        '404':
          description: Workspace not found
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<GetWorkspaceStatusResponse>> =
            fireblocks.workspaceStatusBeta.getWorkspaceStatus();
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<GetWorkspaceStatusResponse>> response
            = fireblocks.workspaceStatusBeta().getWorkspaceStatus();
        - lang: Python
          source: response = fireblocks.workspace_status_beta.get_workspace_status();
components:
  schemas:
    GetWorkspaceStatusResponse:
      type: object
      properties:
        status:
          type: string
          description: Current workspace status

````